package com.j711h401.hibernate.test;

import org.hibernate.Session;

import com.j711h401.common.util.HibernateUtil;

public class TestHibernateDAO 
{

	public static TestHibernateDAO getInstance()
	{
		return testHibernateDAO;
	}
	private TestHibernateDAO()
	{
		Session session = null;
		try
		{
			session = HibernateUtil.getSession();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		finally
		{
			if(null != session && session.isOpen())
			{
				session.close();
			}
		}
		
	}
	private static final TestHibernateDAO testHibernateDAO = new TestHibernateDAO();
}
